RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)

include $(ldas_top_srcdir)/build/make-macros/compilerflags.mk

#------------------------------------------------------------------------
# form: <(c)urrent>:<(r)elease>:<(a)ge
#
# 1. Update the version information only immediately before a public
#    release of your software. More frequent updates are unnecessary,
#    and only guarantee that the current interface number gets larger
#    faster.
# 2. If the library source code has changed at all since the last
#    update, then increment revision (c:r:a becomes c:r+1:a).
# 3. If any interfaces [exported functions or data] have been added,
#    removed, or changed since the last update, increment current,
#    and set revision to 0.
# 4. If any interfaces have been added since the last public
#    release, then increment age.
# 5. If any interfaces have been removed since the last public
#    release, then set age to 0.
#------------------------------------------------------------------------
# => 2:0:0 -- 2010.01.25
#   In preperation for 1.18.0 release of ldas
#------------------------------------------------------------------------
ILWDFCS_LIBTOOL_VERSION_FLAG=-version-info 2:0:0

AM_CPPFLAGS=-I$(ldas_top_builddir)/include

lib_LTLIBRARIES =

if HAVE_PACKAGE_ILWD
lib_LTLIBRARIES += libilwdfcs.la
endif

noinst_DATA=hdr-time-stamp

ilwdfcshhdir = $(includedir)/ilwdfcs

libilwdfcs_la_CXXFLAGS = \
	$(AM_CXXFLAGS) $(OSPACE_CXXFLAGS)

libilwdfcs_la_SOURCES = \
	helper.cc \
	Container.cc \
	FrameH.cc \
	FrDetector.cc \
	FrHistory.cc \
	FrProcData.cc \
	FrRawData.cc \
	FrTable.cc \
	FrVect.cc \
	SubContainer.cc

ilwdfcshh_HEADERS = \
	undef.h \
	Container.hh \
	FrameH.hh \
	FrDetector.hh \
	FrHistory.hh \
	FrProcData.hh \
	FrRawData.hh \
	FrTable.hh \
	FrVect.hh \
	ILwdFCS.hh \
	SubContainer.hh \
	helper.hh

libilwdfcs_la_LDFLAGS = \
	$(ILWDFCS_LIBTOOL_VERSION_FLAG) \
	$(EXTRA_TEST_FLAGS) \
	$(EXTRA_LIBS) \
	$(ilwd_la) \
	$(general_la) \
	$(ospace_la) \
	 -lz

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(ilwdfcshhdir)
	$(INSTALL_DATA) config.h $(DESTDIR)$(ilwdfcshhdir)/config.h

hdr-time-stamp: Makefile config.h
	rm -rf $(ldas_top_builddir)/include/ilwdfcs
	mkdir -p $(ldas_top_builddir)/include/ilwdfcs
	SRCDIR=`( cd $(srcdir) ; pwd )`; export SRCDIR; \
	for hdr in $(ilwdfcshh_HEADERS); \
	do \
	  ( cd $(ldas_top_builddir)/include/ilwdfcs; \
	    ln -s $$SRCDIR/$$hdr . ); \
	done
	CWD=`pwd`; export CWD; \
	for hdr in config.h; \
	do \
	  ( cd $(ldas_top_builddir)/include/ilwdfcs; ln -s $$CWD/$$hdr . ); \
	done
	touch hdr-time-stamp

#------------------------------------------------------------------------
# Local dependecies
#------------------------------------------------------------------------
$(libilwdfcs_la_OBJECTS): hdr-time-stamp

include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk
